
QGIS Application - Feature request #8568

Mac trackpad functionality

2013-09-03 01:14 PM - Charles Rethman

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 17314

Description

How to steal a huge march on Google Earth and Maps? Handle Mac trackpad gestures! The Mac (iMac, MacBook) trackpad uses a

two-finger swipe to scroll and a pinch in or pinch out to zoom in or zoom out. QGIS (like Google Earth and Maps) zooms on the two-finger

scroll. It would be a lot nicer and more OS-consistent to make this a pan, with pinches to zoom. This cannot be changed in the

Preferences, either, though having the option would be good!

There are a lot of Mac users these days--and ESRI doesn't work on a Mac. Does Linux Ubuntu use the pinch and two-finger scroll? If not

I'm sure a version of Linux soon will.

This would be an amazing feature to have.

History

#1 - 2015-11-15 08:16 AM - Greg S

I agree with this request.

Another problem with the current implementation is that the two-finger drag is VERY sensitive. In other words, it doesn't work. I have to go back to Zoom to

Layer to find my place.

OSX 10.11.1

I realize this is a conflict between OSX and the web (or did Google establish this); maybe there is an OSX solution.

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-09-22 10:06 AM - Jürgen Fischer

- Category set to Unknown
